### Function

# GVnc ColorMap new

#### Declaration [src]

    VncColorMap*
    vnc_color_map_new (
      guint16 offset,
      guint16 size
    )

#### Description [src]

Allocate a new colour map object able to store colour map entries with indexes in the range `offset` to `offset` + `size`.

The color map must be freed with vnc_color_map_free when no longer required.

#### Parameters

`offset`

  Type: `guint16`

  The offset at which the color map starts.

`size`

  Type: `guint16`

  The number of entries.

#### Return value

Type: `VncColorMap`

The new color map.

The caller of the function takes ownership of the data, and is responsible for freeing it.